[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [et-mgmt-tools] running virt-manager



Paras pradhan wrote:
> 
> Thanks for the reply.
> 
> Now it has stopped complaining about import libvirt.I had to set the
> PYTHONPATH to /usr/local/lib/python2.4/site-packages
> But here comes the new error after i run 'virt-manager'
> -----------
> traceback (most recent call last):
>   File "/usr/local/share/virt-manager/virt-manager.py", line 346, in ?
>     main()
>   File "/usr/local/share/virt-manager/virt-manager.py", line 287, in main
>     from virtManager.engine import vmmEngine
>   File "/usr/local/share/virt-manager/virtManager/engine.py", line 31, in ?
>     from virtManager.connection import vmmConnection
>   File "/usr/local/share/virt-manager/virtManager/connection.py", line 36,
> in ?
>     from virtManager.domain import vmmDomain
>   File "/usr/local/share/virt-manager/virtManager/domain.py", line 669
>     finally:
>           ^
> SyntaxError: invalid syntax
> --------
> 
> Thanks
> Paras.
> 

Ah, I take it you are using the virt-manager 0.6.0 release. There were
some python2.5 specific pieces that crept into the release, so you will
need to apply this patch:

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=a8cafeaa92a6

Or you can try building from an upstream checkout.

- Cole


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]